DFBG(1)

NAME
dfbg - DirectFB background configuration tool

SYNOPSIS
dfbg [options] <filename>|<color>

DESCRIPTION
dfbg is a small utility to configure the background of the DirectFB desktop. It loads the specified image and sets it as background image.

dfbg requires DirectFB with the multi-application core enabled.

OPTIONS

-c, --color
    Set color fill mode using <color> in AARRGGBB format (hexadecimal). The alpha component can be omitted in most configurations.

-t, --tile
    Set tiled mode instead of scaling the image to fit the screen size.

-v, --version
    Output version information.

-h, --help
    Print brief help and exit.

EXAMPLES

Set background color to DirectFB's default color

    dfbg -c ff107ce8

Set image stretched to fit the screen

    dfbg bg.png

Set image tiled

    dfbg -t bg.png

OTHER INFO
The canonical place to find informations about DirectFB is at http://www.directfb.org/.